import Api from "~/service/Api"
import Pts from "../Common/Pts"
import Pub from "../Public"

export default class Bdtcan {
	constructor() {
		this.data = {
			strinf: "",			//  Narrative		.strinf
			bddgrp: {
				rec: {
					ownref: "",			//  单据参考号		.bddgrp.rec.ownref
					nam: "",			//  Name of Bill Contract		.bddgrp.rec.nam
					rcvdat: "",			//  到单日期		.bddgrp.rec.rcvdat
					advdat: "",			//  Date of Advice of Payment		.bddgrp.rec.advdat
					docflg: "",			//  单据类型		.bddgrp.rec.docflg
					docsta: "",			//  单据承付状态		.bddgrp.rec.docsta
					matdat: "",			//  Maturity Date		.bddgrp.rec.matdat
				},
				cbs: {
					max: {
						cur: "",			//  单据金额		.bddgrp.cbs.max.cur
						amt: "",			//  单据金额		.bddgrp.cbs.max.amt
					},
					opn1: {
						cur: "",			//  单据余额		.bddgrp.cbs.opn1.cur
						amt: "",			//  Balance		.bddgrp.cbs.opn1.amt
					},
				},
				apl: {
					pts: new Pts().data,
				},
				ben: {
					pts: new Pts().data,
				},
				prb: {
					pts: new Pts().data,
				},
			},
			didgrp: {
				rec: {
					ownref: "",			//  参考号		.didgrp.rec.ownref
					expdat: "",			//  Date of Expiry		.didgrp.rec.expdat
				},
				cbs: {
					opn1: {
						cur: "",			//  Currency		.didgrp.cbs.opn1.cur
						amt: "",			//  Balance		.didgrp.cbs.opn1.amt
					},
				},
			},
			bdtp0: {
				didget: {
					sdamod: {
						seainf: "",			//  		.bdtp0.didget.sdamod.seainf
						dadsnd: "",			//  Drag  Drop Sender		.bdtp0.didget.sdamod.dadsnd
					},
				},
				recget: {
					sdamod: {
						dadsnd: "",			//  Drag  Drop Sender		.bdtp0.recget.sdamod.dadsnd
						seainf: "",			//  		.bdtp0.recget.sdamod.seainf
					},
				},
				matp: {
					mattxtlab: "",			//  Label for MATTXT		.bdtp0.matp.mattxtlab
				},
			},
			sndmsg: "",			//  Send Message		.sndmsg
			rebkpflg: "",			//  Booking Procedure		.rebkpflg
			// liaall: {
			// 	misamt: "",			//  Amount not yet assigned		.liaall.misamt
			// 	concur: "",			//  External Booking Amount		.liaall.concur
			// 	outpct: "",			//  Sight Amount Percentage		.liaall.outpct
			// 	outamt: "",			//  Sight Amount		.liaall.outamt
			// 	exttotoldamt: "",			//  Old Amount booked externally		.liaall.exttotoldamt
			// 	exttotamt: "",			//  Total booking amount external assinged		.liaall.exttotamt
			// 	limmod: {
			// 		limpts: {
			// 			wrklab: "",			//  Label		.liaall.limmod.limpts.wrklab
			// 			othlab: "",			//  Label		.liaall.limmod.limpts.othlab
			// 			othlabss: "",			//  Label		.liaall.limmod.limpts.othlabss
			// 			wrk: {
			// 				pts: new Pts().data,
			// 			},
			// 			oth: {
			// 				pts: new Pts().data,
			// 			},
			// 			lsh: "",			//  合同流�'号		.liaall.limmod.limpts.lsh
			// 			nonrevflg1: "",			//  Flag to Mark Non-revolving Limits		.liaall.limmod.limpts.nonrevflg1
			// 			pfcod1: "",			//  合同流�'号		.liaall.limmod.limpts.pfcod1
			// 			nonrevflg2: "",			//  Flag to Mark Non-revolving Limits		.liaall.limmod.limpts.nonrevflg2
			// 			pfcod2: "",			//  合同流�'号		.liaall.limmod.limpts.pfcod2
			// 		},
			// 		wrkp: {
			// 			ptsget: {
			// 				sdamod: {
			// 					dadsnd: "",			//  Drag  Drop Sender		.liaall.limmod.wrkp.ptsget.sdamod.dadsnd
			// 					seainf: "",			//  		.liaall.limmod.wrkp.ptsget.sdamod.seainf
			// 				},
			// 			},
			// 		},
			// 		othp: {
			// 			ptsget: {
			// 				sdamod: {
			// 					dadsnd: "",			//  Drag  Drop Sender		.liaall.limmod.othp.ptsget.sdamod.dadsnd
			// 					seainf: "",			//  		.liaall.limmod.othp.ptsget.sdamod.seainf
			// 				},
			// 			},
			// 		},
			// 		ownref: "",			//  国结业务编号		.liaall.limmod.ownref
			// 		comamt: "",			//  业务余额		.liaall.limmod.comamt
			// 		ccvamt: "",			//  保证金余额		.liaall.limmod.ccvamt
			// 		ecifno: "",			//  ECIFNO		.liaall.limmod.ecifno
			// 	},
			// },
			// setmod:{
			// 	docamttyplab:"",			//  settled amount description as label		.setmod.docamttyplab
			// 	retmsg:"",			//  Label showing Retry overflow condition		.setmod.retmsg
			// 	ref:"",			//  our reference		.setmod.ref
			// 	doccur:"",			//  document currency		.setmod.doccur
			// 	docamt:"",			//  document amount		.setmod.docamt
			// 	dspflg:"",			//  Type of settlement		.setmod.dspflg
			// 	xreflg:"",			//  Recalculate Rates		.setmod.xreflg
			// 	setglg:{
			// 		labdspflg:"",			//  Label for Type of Settlement		.setmod.setglg.labdspflg
			// 	},
			// 	zmqacclab:"",			//  主�'�号LABEL		.setmod.zmqacclab
			// 	zmqacc:"",			//  自�'�区主�'�号		.setmod.zmqacc
			// 	glemod:{
			// 		gleshwstm:"",			//  Booking stream to Display		.setmod.glemod.gleshwstm
			// 	},
			// },
			// mtabut:{
			// 	coninf:{
			// 		oitinf:{
			// 			labinftxt:"",			//  Label for INFTXT		.mtabut.coninf.oitinf.labinftxt
			// 			oit:{
			// 				inftxt:"",			//  Infotext		.mtabut.coninf.oitinf.oit.inftxt
			// 				inflev:"",			//  Infotext Level		.mtabut.coninf.oitinf.oit.inflev
			// 			},
			// 		},
			// 		oitset:{
			// 			labinftxt:"",			//  Label for INFTXT		.mtabut.coninf.oitset.labinftxt
			// 			oit:{
			// 				inftxt:"",			//  Infotext		.mtabut.coninf.oitset.oit.inftxt
			// 				inflev:"",			//  Infotext Level		.mtabut.coninf.oitset.oit.inflev
			// 			},
			// 		},
			// 		conexedat:"",			//  执行日期		.mtabut.coninf.conexedat
			// 		usr:{
			// 			extkey:"",			//  User ID		.mtabut.coninf.usr.extkey
			// 		},
			// 	},
			// },
			// trnmod:{
			// 	trndoc:{
			// 		advlabel:"",			//  ADVLABEL		.trnmod.trndoc.advlabel
			// 		amdnam:"",			//  AMDNAM		.trnmod.trndoc.amdnam
			// 		advdoc:"",			//  国内证通知书		.trnmod.trndoc.advdoc
			// 		advnam:"",			//  国内证落款		.trnmod.trndoc.advnam
			// 		amdapl:"",			//  修改申请人名称		.trnmod.trndoc.amdapl
			// 		doclbl:"",			//  Lable for CONDOCSTM		.trnmod.trndoc.doclbl
			// 		doctrestm:"",			//  Document tree		.trnmod.trndoc.doctrestm
			// 		shwinc:"",			//  Show Incoming Messages		.trnmod.trndoc.shwinc
			// 		shwout:"",			//  Show Outgoing Messages		.trnmod.trndoc.shwout
			// 		condocstm:"",			//  Connected Documents		.trnmod.trndoc.condocstm
			// 		rcvatt:{
			// 			seainf:"",			//  		.trnmod.trndoc.rcvatt.seainf
			// 		},
			// 		filrecv:"",			//  File Receiver		.trnmod.trndoc.filrecv
			// 	},
			// },
			liaall: new Pub().data.Liaall,
			setmod: new Pub().data.Setmod,
			mtabut: new Pub().data.Mtabut,
			trnmod: new Pub().data.Trnmod,
			pageId: ""			// ctx的key
		}
	}
}